.footer {
  padding: 20px 30px;

  &__container {
    display: flex;
    flex-direction: column;
    width: 100%;
    max-width: 1280px;
    margin: 0 auto;
    padding: 18px 16px;

    @include device-is('desktop') {
      flex-direction: row;
      align-items: center;
    }
  }
}

.footer__container_anr {
  margin-top: -4em;

  @include device-is('tablet') {
    margin-top: -2em;
  }
}

.footer-container {
  &__content {
    display: flex;
    flex-direction: column;
    width: 100%;
    border-top: 1px solid $grey-20;
    padding-top: 16px;

    @include device-is('tablet') {
      flex-direction: column;
      justify-content: space-between;
      border: none;
    }

    @include device-is('desktop') {
      flex-direction: row;
      align-items: center;
    }
  }

  &__logos {
    display: flex;
    align-items: center;
    padding-bottom: 16px;

    @include device-is('desktop') {
      padding-bottom: 0;
    }
  }
}

.footer-container-content {
  &__navigation {
    @include device-is('tablet') {
      flex-direction: row;
      align-items: center;
    }

    @include device-is('desktop') {
      margin-left: 12px;
    }

    &-list {
      display: flex;
      flex-wrap: wrap;
      margin: 0;
      margin-top: 20px;
      padding: 0;
      list-style: none;

      @include device-is('tablet') {
        flex-direction: row;
        align-self: center;
      }

      @include device-is('desktop') {
        margin: 0;
        padding-top: 0;
      }
    }
  }

  &__copyrights {
    padding-top: 16px;
    color: $grey-50;
    cursor: default;
    font-size: 0.75rem;
    font-family: $font-roboto;
    letter-spacing: 0.008rem;
    margin: 0 auto;

    @include device-is('desktop') {
      padding: 0;
      white-space: nowrap;
    }
  }

  &__anr {
    max-width: 930px;
    padding-top: 16px;
    color: $grey-50;
    cursor: default;
    font-size: 0.75rem;
    font-family: $font-roboto;
    letter-spacing: 0.008rem;
    margin: 0 auto;
    text-align: right;
  }
}

.footer-navigation {
  &__item {
    display: inline-block;
    padding: 0 12px 6px 0;
    color: $grey-60;
    font-size: 0.8125rem;
    font-family: $font-roboto;
    line-height: 1.375rem;
    letter-spacing: 0.009rem;

    &--internal-link {
      &:visited {
        color: $grey-70;
      }
    }

    @include device-is('desktop') {
      margin: 0 10px;
      padding: 0;
    }

    &.active {
      text-decoration: none;
      color: $blue;
    }

    &:focus {
      text-decoration: none;
      color: $grey-50;
    }

    &:hover {
      text-decoration: none;
      cursor: pointer;
      color: $blue;
    }
  }
}

.footer-logos {
  display: flex;

  &__french-government {
    > img {
      height: 45px;
      margin-left: 24px;

      @include device-is('tablet') {
        height: 54px;
      }
    }
  }

  &__anr {
    margin-right: 54px;
    margin-left: 54px;

    > img {
      height: 45px;
      margin-right: 108px;

      @include device-is('tablet') {
        height: 54px;
      }
    }
  }
}